Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.data
Class MDEXState

    java.lang.Object
      com.endeca.portal.data.MDEXState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MDEXState

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

Portlet developers should avoid this class. See `DataSource` instead.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MDEXState.APIVersion`
`static class` | `MDEXState.MDEXRecords`

Field Summary
`static java.lang.String` | `API_VERSION_PROPERTY`
`static java.lang.String` | `BASEFUNCTIONS_PROPERTY`
`static java.lang.String` | `BASEQUERYOPTIONS_PROPERTY`
`static java.lang.String` | `CURRENTFUNCTIONS_PROPERTY`
`static MDEXState.APIVersion` | `DEFAULT_API_VERSION`
`static com.endeca.portal.data.MDEXState.EngineVersion` | `DEFAULT_ENGINE_VERSION`
`static MDEXState.MDEXRecords` | `DEFAULT_MDEX_RECORDS`
`static java.lang.String` | `DESCRIPTION_PROPERTY`
`com.endeca.portal.data.MDEXState.EngineVersion` | `engineVersion`
`protected java.lang.String` | `id`
`static java.lang.String` | `ID_PROPERTY`
`static java.lang.String` | `MDEX_RECORDS_PROPERTY`
`protected java.lang.String` | `name`
`static java.lang.String` | `NAME_PROPERTY`
`static java.lang.String` | `PORT_PROPERTY`
`static java.lang.String` | `SERVER_PROPERTY`
`static java.lang.String` | `SSL_CONFIG_PROPERTY`
`protected QueryState` | `state`

Constructor Summary
`MDEXState(org.json.JSONObject configuration)`

Method Summary
`MDEXState` | `clone()`
`MDEXAttributeList` | `getAttributes()`
`java.lang.String` | `getDescription()`
`javax.xml.namespace.QName` | `getEventName()`
`java.lang.String` | `getId()`
`org.json.JSONObject` | `getInitialConfiguration()`
`protected QueryState` | `getInitialQueryState()`
`AttributeGroupLinkedMap` | `getMDEX7AttributeGroups()`
`MDEXState.MDEXRecords` | `getMdexRecords()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPort()`
`QueryState` | `getQueryState()`
`java.lang.String` | `getServer()`
`com.endeca.mdex.conversation.ConversationPort` | `getServicePort()`
`java.lang.String` | `getServiceURL()` This method is only useful when the data source supports the discovery service.
`SSLConfig` | `getSSLConfig()`
`MDEXState.APIVersion` | `getVersion()`
`boolean` | `isAvailable()`
`boolean` | `isSSLEnabled()`
`protected void` | `setAttributes(MDEXAttributeList mdexAttributes)`
`protected void` | `setMDEX7AttributeGroups(AttributeGroupLinkedMap mdexAttributeGroups)`
`void` | `setQueryState(QueryState dss)` Deprecated.
`boolean` | `supportsDiscoveryService()`
`boolean` | `supportsENEQuery()`
`boolean` | `supportsFeature(Feature f)`
`org.json.JSONObject` | `toJSON()`
`java.lang.String` | `toString()`
`boolean` | `updateStatus()` Updates the status of this MDEXState.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

### name

    protected java.lang.String name

### engineVersion

    public com.endeca.portal.data.MDEXState.EngineVersion engineVersion

### state

    protected QueryState state

### SERVER_PROPERTY

    public static final java.lang.String SERVER_PROPERTY

See Also:
  Constant Field Values

### PORT_PROPERTY

    public static final java.lang.String PORT_PROPERTY

See Also:
  Constant Field Values

### SSL_CONFIG_PROPERTY

    public static final java.lang.String SSL_CONFIG_PROPERTY

See Also:
  Constant Field Values

### NAME_PROPERTY

    public static final java.lang.String NAME_PROPERTY

See Also:
  Constant Field Values

### DESCRIPTION_PROPERTY

    public static final java.lang.String DESCRIPTION_PROPERTY

See Also:
  Constant Field Values

### ID_PROPERTY

    public static final java.lang.String ID_PROPERTY

See Also:
  Constant Field Values

### BASEQUERYOPTIONS_PROPERTY

    public static final java.lang.String BASEQUERYOPTIONS_PROPERTY

See Also:
  Constant Field Values

### BASEFUNCTIONS_PROPERTY

    public static final java.lang.String BASEFUNCTIONS_PROPERTY

See Also:
  Constant Field Values

### CURRENTFUNCTIONS_PROPERTY

    public static final java.lang.String CURRENTFUNCTIONS_PROPERTY

See Also:
  Constant Field Values

### API_VERSION_PROPERTY

    public static final java.lang.String API_VERSION_PROPERTY

See Also:
  Constant Field Values

### MDEX_RECORDS_PROPERTY

    public static final java.lang.String MDEX_RECORDS_PROPERTY

See Also:
  Constant Field Values

### DEFAULT_API_VERSION

    public static final MDEXState.APIVersion DEFAULT_API_VERSION

### DEFAULT_ENGINE_VERSION

    public static final com.endeca.portal.data.MDEXState.EngineVersion DEFAULT_ENGINE_VERSION

### DEFAULT_MDEX_RECORDS

    public static final MDEXState.MDEXRecords DEFAULT_MDEX_RECORDS

Constructor Detail

### MDEXState

    public MDEXState(org.json.JSONObject configuration)
              throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### getId

    public java.lang.String getId()

### getName

    public java.lang.String getName()

### getServer

    public java.lang.String getServer()

### getPort

    public java.lang.String getPort()

### getVersion

    public MDEXState.APIVersion getVersion()

### supportsENEQuery

    public boolean supportsENEQuery()

### supportsDiscoveryService

    public boolean supportsDiscoveryService()

### supportsFeature

    public boolean supportsFeature(Feature f)

### getMdexRecords

    public MDEXState.MDEXRecords getMdexRecords()

### getSSLConfig

    public SSLConfig getSSLConfig()

### isSSLEnabled

    public boolean isSSLEnabled()

### isAvailable

    public boolean isAvailable()

### getDescription

    public java.lang.String getDescription()

### getEventName

    public javax.xml.namespace.QName getEventName()

### getInitialConfiguration

    public org.json.JSONObject getInitialConfiguration()

### getQueryState

    public QueryState getQueryState()

  Returns:
    a copy of the QueryState object

### setQueryState

    @Deprecated
    public void setQueryState(QueryState dss)

  Deprecated.

  Set the QueryState. In general, this should *ONLY* be called from the DataSource facade, but may need to be accessible for things like reloading bookmarks from a stored state, etc. This method isn't really deprecated... the flag is used to force compile time warnings.

  Parameters:
    `dss` -

### getInitialQueryState

    protected QueryState getInitialQueryState()

### setAttributes

    protected void setAttributes(MDEXAttributeList mdexAttributes)

### getAttributes

    public MDEXAttributeList getAttributes()

### setMDEX7AttributeGroups

    protected void setMDEX7AttributeGroups(AttributeGroupLinkedMap mdexAttributeGroups)

### getMDEX7AttributeGroups

    public AttributeGroupLinkedMap getMDEX7AttributeGroups()

### getServiceURL

    public java.lang.String getServiceURL()

  This method is only useful when the data source supports the discovery service.

  Returns:
    the URL of the Conversation Service associated with this data source.

### getServicePort

    public com.endeca.mdex.conversation.ConversationPort getServicePort()
                                                                 throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toJSON

    public org.json.JSONObject toJSON()
                               throws org.json.JSONException

  Throws:
    `org.json.JSONException`

### clone

    public MDEXState clone()

  Overrides:
    `clone` in class `java.lang.Object`

### updateStatus

    public boolean updateStatus()

  Updates the status of this MDEXState. Only the DataSourceConfigHelper has the global reference for MDEXStates. All other utilities get a clone. Obviously, updating the clone won't update the global reference.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD